// Copyright (C) 2003-2005 CEREA
//     Author: Vivien Mallet
//
// CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
// ENPC (http://www.enpc.fr) and EDF R&D (http://www.edf.fr).
//
// This file is part of AtmoData library.
// AtmoData library is a tool for data processing in atmospheric
// sciences.
//
// AtmoData is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// AtmoData is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License (file "license") for more details.
//
// For more information, please see the AtmoData home page:
//     http://www.enpc.fr/cerea/atmodata/


#ifndef ATMODATA_FILE_ATMODATA_HXX

#include "SeldonData.hxx"
using namespace SeldonData;

//! AtmoData namespace.
namespace AtmoData
{
}

#include "Common.hxx"

#include "Meteorology.cxx"
#include "Kz.cxx"
#include "TimeDiagnosis.cxx"
#include "Photolysis.cxx"
#include "Emissions.cxx"
#include "Deposition.cxx"
#include "CoordTransform.cxx"
#include "Transform.cxx"
#include "Polair.cxx"
#include "Aerosol.hxx"

#include "Format.cxx"

#include "Errors.cxx"

#define ATMODATA_FILE_ATMODATA_HXX
#endif
